IBM RQM Lead Integrators Support

Reply
This is an open group. Sign in and click the "Join Group" button to become a group member and start posting.
Highlighted

Correct Server Install Version for latest NI Adapter

Hi,

Can you tell me which version version of the server installation should be used for the latest client install ie 2.0?

We are not able to run tests using the latest client files even though we updated the server installation one month ago using this link: http://www.ni.com/tutorial/14989/en/

Thank you for your attention.

Regards,

Loyde Mitchell

0 Kudos
Message 1 of 13
(5,510 Views)
12 REPLIES

Re: Correct Server Install Version for latest NI Adapter

Hi Loyde,

During the execution of test case, is there a popped up window on the machine where NI adapter is installed?

Could you please help to provide us more info? like the steps to reproduce, the screen shots, log file.

You can connect the adapter to RQM successfully, right?

Can you create test script with NI TestStand type?

Thanks for your information in advace!

Zhenfang

0 Kudos
Message 2 of 13
(2,569 Views)

Re: Correct Server Install Version for latest NI Adapter

Hi Zhenfang.

No the client is not able to connect to the server. I receive an HTTP error:

Error 363507 occurred at LabVIEWHTTPClient.lvlib:GET.vi:390001 Possible reason(s): LabVIEW: LabVIEW could not verify the authenticity of the server. Complete call chain: LabVIEWHTTPClient.lvlib:GET.vi:390001 Login To RQM.vi HTTP Client Loop.vi Execution Adaptor State Machine.vi Launch Test Adapter.vi

I'm not sure about the pop up window? Could you specify that.

Kind regards

Lars

0 Kudos
Message 3 of 13
(2,569 Views)

Re: Correct Server Install Version for latest NI Adapter

Hi Lars,

Did you configure the Authentication part? You can find those configurations through Tools-> Configuration->Connection->Authentiation?

Due to the error you sent, we think you should configure this part. But the configuration is not correct.

Could you please first make the Authentication part not configured and check if NI Adapter can connect to RQM correctly?

Also please double-check the SSL configuration on RQM side.

Now I think we can ignore the popped up window issue as you still can't make NI Adapter connect to RQM successfully.

Thanks

Zhenfang

0 Kudos
Message 4 of 13
(2,569 Views)

Re: Correct Server Install Version for latest NI Adapter

Hi Zhengfang.

I tried with the defauls setting (no Authentication) and it failed to connect.

The server side has not been change so far.

Kind regards

Lars

0 Kudos
Message 5 of 13
(2,569 Views)

Re: Correct Server Install Version for latest NI Adapter

Hi Lars,

First, could you please help to send the log file to us?

Second, severao points I want to confirm with you.

1. Did you change RQM side during upgrading from 1.5 to 2.0? Please note the RQM side doesn't mean NI Adapter server side. It means configuration of IBM Rational Quality Manager.

2. If you didn't change the configuration of IBM Rational Quality Manager, current behavior is that you can use NI Adapter 1.5 to connect to RQM successfully while 2.0, right?

3. Did you replace ni_httpClient.dll in <C:\Program Files (x86)\National Instruments\Shared\LabVIEW Run-Time\2013>?

As I know, our PSE sent a ni-httpClient.dll to you from 1.0 and it needs to be replaced in your environment.

Thanks

Zhenfang

0 Kudos
Message 6 of 13
(2,569 Views)

Re: Correct Server Install Version for latest NI Adapter

Please see the log file attached.

to 1: this was the initial question of the forum: How to update server side! I have updated the client from 1.5 to 2.0. I uninstalled the 1.5 version and re-installed 2.0.

to 2: 1.5.2 version can connect

to 3: verified and is the correct version

0 Kudos
Message 7 of 13
(2,569 Views)

Re: Correct Server Install Version for latest NI Adapter

Hi Loyde & Lars,

The [Beta Download] Test Integration Adapter for IBM RQM 2.0 includes the 2.0 server components (the com.ni.rqm.adapter.web.site.zip file), and the installation instructions can be found here.

Thanks!

Fred Visser -- LabVIEW R&D -- National Instruments
0 Kudos
Message 8 of 13
(2,569 Views)

Re: Correct Server Install Version for latest NI Adapter

Hi Loyde & Lars,

How about this thread?

Can you make NI Adapter connect to RQM server successfully now?

Thanks!

0 Kudos
Message 9 of 13
(2,569 Views)

Re: Correct Server Install Version for latest NI Adapter

Hi Zhenfang

Stil facing issues:

Using the attached certification files I receive an:


Error 363506 occurred at LabVIEWHTTPClient.lvlib:GET.vi:390001 Possible reason(s): LabVIEW: The certificate path or CA information of the local host is invalid. Complete call chain: LabVIEWHTTPClient.lvlib:GET.vi:390001 Login To RQM.vi HTTP Client Loop.vi Execution Adaptor State Machine.vi Launch Test Adapter.vi

Without any I get this error:

INFORMATION: 13-05-2014 13:02:37----Client State Changed From REGISTRATION To REGISTRATION FAILED

No other error message.


Kind regards

Lars

0 Kudos
Message 10 of 13
(2,569 Views)
Reply
This is an open group. Sign in and click the "Join Group" button to become a group member and start posting.